<?php

namespace Salesloo\Abstracts;

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}


/**
 * Notification
 */
abstract class Notification
{
    public $id;

    public $title;

    /**
     * on_place_order event
     *
     * @param  array $args
     * @return void
     */
    public function on_place_order($args)
    {
        return;
    }

    public function on_invoice_unpaid_reminder($args)
    {
        return;
    }

    /**
     * on_invoice_checking_payment event
     *
     * @param  array $args
     * @return void
     */
    public function on_invoice_checking_payment($args)
    {
        return;
    }

    /**
     * on_invoice_completed event
     *
     * @param  array $args
     * @return void
     */
    public function on_invoice_completed($args)
    {
        return;
    }

    public function on_invoice_cancelled($args)
    {
        return;
    }

    public function on_invoice_refunded($args)
    {
        return;
    }

    /**
     * on_commission_paid
     *
     * @param  mixed $args
     * @return void
     */
    public function on_commission_paid($args)
    {
        return;
    }

    public function on_commission_cancelled($args)
    {
        return;
    }

    public function on_order_expired_reminder($args)
    {
        return;
    }

    /**
     * on_order_expired
     *
     * @param  mixed $args
     * @return void
     */
    public function on_order_expired($args)
    {

        return;
    }

    public function on_register($args)
    {
        return;
    }
}
